Share via


Access - List Role Binding Name List

Organization role bindings

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Confluent/organizations/{organizationName}/access/default/listRoleBindingNameList?api-version=2024-07-01

URI Parameters

Name In Required Type Description
organizationName
path True

string

Organization resource name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
searchFilters

object

Search filters for the request

Responses

Name Type Description
200 OK

AccessRoleBindingNameListSuccessResponse

Azure operation completed successfully.

Other Status Codes

ResourceProviderDefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Access_RoleBindingNameList

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Confluent/organizations/myOrganization/access/default/listRoleBindingNameList?api-version=2024-07-01

{
  "searchFilters": {
    "crn_pattern": "crn://confluent.cloud/organization=1aa7de07-298e-479c-8f2f-16ac91fd8e76",
    "namespace": "public,dataplane,networking,identity,datagovernance,connect,streamcatalog,pipelines,ksql"
  }
}

Sample response

{
  "data": [
    "MetricsViewer",
    "OrganizationAdmin",
    "Operator",
    "NetworkAdmin",
    "ResourceKeyAdmin",
    "AccountAdmin"
  ],
  "kind": "RoleDisplayNameList",
  "metadata": {
    "first": "https://api.confluent.cloud/iam/v2/role-bindings",
    "last": "https://api.confluent.cloud/iam/v2/role-bindings?page_token=bcAOehAY8F16YD84Z1wT",
    "next": "https://api.confluent.cloud/iam/v2/role-bindings?page_token=UvmDWOB1iwfAIBPj6EYb",
    "prev": "https://api.confluent.cloud/iam/v2/role-bindings?page_token=YIXRY97wWYmwzrax4dld",
    "total_size": 123
  }
}

Definitions

Name Description
AccessRoleBindingNameListSuccessResponse

Details of the role binding names returned on successful response

ConfluentListMetadata

Metadata of the list

ErrorResponseBody

Response body of Error

ListAccessRequestModel

List Access Request Model

ResourceProviderDefaultErrorResponse

Default error response for resource provider

AccessRoleBindingNameListSuccessResponse

Details of the role binding names returned on successful response

Name Type Description
data

string[]

List of role binding names

kind

string

Type of response

metadata

ConfluentListMetadata

Metadata of the list

ConfluentListMetadata

Metadata of the list

Name Type Description
first

string

First page of the list

last

string

Last page of the list

next

string

Next page of the list

prev

string

Previous page of the list

total_size

integer (int32)

Total size of the list

ErrorResponseBody

Response body of Error

Name Type Description
code

string

Error code

details

ErrorResponseBody[]

Error detail

message

string

Error message

target

string

Error target

ListAccessRequestModel

List Access Request Model

Name Type Description
searchFilters

object

Search filters for the request

ResourceProviderDefaultErrorResponse

Default error response for resource provider

Name Type Description
error

ErrorResponseBody

Response body of Error